package com.incessant.plugins.unixdate;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.TimeZone;

import com.appiancorp.services.ServiceContext;
import com.appiancorp.suiteapi.common.ServiceLocator;
import com.appiancorp.suiteapi.content.ContentService;
import com.appiancorp.suiteapi.expression.annotations.AppianScriptingFunctionsCategory;
import com.appiancorp.suiteapi.expression.annotations.Function;
import com.appiancorp.suiteapi.expression.annotations.Parameter;

/**
 * @author Krishna Chaitanya Mallavarapu
 *
 */
@AppianScriptingFunctionsCategory
public class UnixDateConverter {

	@Function
	public String unixEpochDateConverter(ServiceContext serviceContext, @Parameter(required = true) Long epochTimestamp) {
		ContentService contentService = null;
		String java_date = null;
		try {
			contentService = ServiceLocator.getContentService(serviceContext);
			// Unix seconds

			long unix_seconds = epochTimestamp;

			// convert seconds to milliseconds

			Date date = new Date(unix_seconds * 1000L);

			// format of the date

			SimpleDateFormat jdf = new SimpleDateFormat("MM/dd/yyyy HH:mm a");

			jdf.setTimeZone(TimeZone.getTimeZone("GMT+00:00"));

			java_date = jdf.format(date);

		} catch (Exception e) {
			e.printStackTrace();
		}
		return java_date;
	}

}
